Bug 1922804 (golang-salsa-debian-vasudev-gospake2) - Review Request: golang-salsa-debian-vasudev-gospake2 - Go SPAKE2 Implementation
Summary: Review Request: golang-salsa-debian-vasudev-gospake2 - Go SPAKE2 Implementation
Keywords:
Status: CLOSED ERRATA
Alias: golang-salsa-debian-vasudev-gospake2
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: wormhole-william
TreeView+ depends on / blocked
 
Reported: 2021-01-31 16:06 UTC by Robert-André Mauchin 🐧
Modified: 2021-04-10 23:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 14:02:19 UTC
Type: ---
swt: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2021-01-31 16:06:10 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-salsa-debian-vasudev-gospake2.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-salsa-debian-vasudev-gospake2-0.2.0-1.fc34.src.rpm

Description:
 Implementation of SPAKE2 key exchange protocol which interoperates with Rust Haskell and Python versions.  This package defines the behavior of group and its element as package groups. It also implements 2 groups ed25519 and multiplicative group over integer as 2 packages. SPAKE2 calculation uses ed25519 as default group and allows user to switch to group of his choice.

Fedora Account System Username: eclipseo

Comment 1 Scott Talbert 2021-03-18 00:06:50 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
- License should be LGPLv2+ not GPLv2+
- Source can't be downloaded using URL (not sure if this is a transient error?)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://salsa.debian.org/vasudev/gospake2/-/archive/0.2.0/gospake2-0.2.0.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-salsa-debian-vasudev-gospake2-devel-0.2.0-1.fc35.noarch.rpm
          golang-salsa-debian-vasudev-gospake2-0.2.0-1.fc35.src.rpm
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: invalid-url URL: https://salsa.debian.org/vasudev/gospake2 HTTP Error 503: Service Unavailable
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/salsa.debian.org/vasudev/gospake2/.goipath
golang-salsa-debian-vasudev-gospake2.src: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
golang-salsa-debian-vasudev-gospake2.src: W: invalid-url URL: https://salsa.debian.org/vasudev/gospake2 HTTP Error 503: Service Unavailable
golang-salsa-debian-vasudev-gospake2.src: W: no-%build-section
golang-salsa-debian-vasudev-gospake2.src: W: invalid-url Source0: https://salsa.debian.org/vasudev/gospake2/-/archive/0.2.0/gospake2-0.2.0.tar.gz HTTP Error 503: Service Unavailable
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: spelling-error %description -l en_US interoperates -> inter operates, inter-operates, interpenetrates
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: invalid-url URL: https://salsa.debian.org/vasudev/gospake2 HTTP Error 503: Service Unavailable
golang-salsa-debian-vasudev-gospake2-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/salsa.debian.org/vasudev/gospake2/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
golang-salsa-debian-vasudev-gospake2-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(golang.org/x/crypto/hkdf)



Provides
--------
golang-salsa-debian-vasudev-gospake2-devel:
    golang(salsa.debian.org/vasudev/gospake2)
    golang(salsa.debian.org/vasudev/gospake2/ed25519group)
    golang(salsa.debian.org/vasudev/gospake2/groups)
    golang(salsa.debian.org/vasudev/gospake2/integergroup)
    golang-ipath(salsa.debian.org/vasudev/gospake2)
    golang-salsa-debian-vasudev-gospake2-devel



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1922804
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, C/C++, fonts, SugarActivity, R, Haskell, Ocaml, Java, PHP, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Robert-André Mauchin 🐧 2021-03-18 08:35:33 UTC
Thanks for the review!

I have updated the License: field.

The salsa.debian.org seems under maintenance. I haven't found a page regarding Debian servers status though.

Comment 4 Scott Talbert 2021-03-19 22:28:31 UTC
APPROVED.

Comment 5 Gwyn Ciesla 2021-03-29 13:33:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-salsa-debian-vasudev-gospake2

Comment 6 Fedora Update System 2021-04-02 15:31:45 UTC
FEDORA-2021-3e74883842 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3e74883842

Comment 7 Fedora Update System 2021-04-02 15:32:14 UTC
FEDORA-2021-25bee9c6c5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-25bee9c6c5

Comment 8 Fedora Update System 2021-04-03 01:09:22 UTC
FEDORA-2021-25bee9c6c5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-25bee9c6c5 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-25bee9c6c5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-03 01:33:32 UTC
FEDORA-2021-3e74883842 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-3e74883842 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3e74883842

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-06 14:02:19 UTC
FEDORA-2021-25bee9c6c5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-04-10 23:05:56 UTC
FEDORA-2021-3e74883842 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.